### Method

# GLib BookmarkFile load_from_data

since: 2.12

#### Declaration

    gboolean
    g_bookmark_file_load_from_data (
      GBookmarkFile* bookmark,
      const gchar* data,
      gsize length,
      GError** error
    )

#### Description

Loads a bookmark file from memory into an empty `GBookmarkFile` structure. If the object cannot be created then `error` is set to a `GBookmarkFileError`.

Available since: 2.12

#### Parameters

`data`

  Type: An array of `guint8`

  Desktop bookmarks loaded in memory.

  The length of the array is specified in the `length` argument.
  The data is owned by the caller of the method.

`length`

  Type: `gsize`

  The length of `data` in bytes.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if a desktop bookmark could be loaded.